org.apache.lucene.luke.app.desktop.components

## Enum TabbedPaneProvider.Tab

- java.lang.Object
- - java.lang.Enum<TabbedPaneProvider.Tab>
  - - org.apache.lucene.luke.app.desktop.components.TabbedPaneProvider.Tab

All Implemented Interfaces:
  Serializable, Comparable<TabbedPaneProvider.Tab>

Enclosing class:
  TabbedPaneProvider

    public static enum TabbedPaneProvider.Tab
    extends Enum<TabbedPaneProvider.Tab>

tabs in the main frame

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ANALYZER`
`COMMITS`
`DOCUMENTS`
`OVERVIEW`
`SEARCH`

### Method Summary

All Methods Static Methods Concrete Methods
`static TabbedPaneProvider.Tab` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TabbedPaneProvider.Tab[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OVERVIEW

    public static final TabbedPaneProvider.Tab OVERVIEW

#### DOCUMENTS

    public static final TabbedPaneProvider.Tab DOCUMENTS

#### SEARCH

    public static final TabbedPaneProvider.Tab SEARCH

#### ANALYZER

    public static final TabbedPaneProvider.Tab ANALYZER

#### COMMITS

    public static final TabbedPaneProvider.Tab COMMITS

### Method Detail

#### values

    public static TabbedPaneProvider.Tab[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TabbedPaneProvider.Tab c : TabbedPaneProvider.Tab.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TabbedPaneProvider.Tab valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null